Bug 150978 - uucico crashes with SIGFPE
uucico crashes with SIGFPE
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: uucp (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Lukas Vrabel
Bill Huang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-13 04:34 EST by Wolfgang Ocker
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-04 06:40:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Ocker 2005-03-13 04:34:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922 Galeon/1.3.19

Description of problem:
uucico crashes in log.c line 695 with SIGFPE:

          cbps = cbytes / (csecs + ((cmicros > 500000L) ? 1 : 0));

csecs is -1, cmicros is greater 500000.

I'm not sure why csecs == -1, but the system runs as VMware guest and
there are clock tick issues, therefore ntp has to correct the time a lot.

My fix:

--- uucp-1.07/log.c.sigfpe2	2005-03-13 09:35:52.500596891 +0100
+++ uucp-1.07/log.c	2005-03-13 09:38:26.414639470 +0100
@@ -671,8 +671,8 @@
     }      
 
   /* On a system which can determine microseconds we might very well
-     have both csecs == 0 and cmicros == 0.  */
-  if (csecs == 0 && cmicros < 1000)
+     have both csecs == 0 and cmicros == 0. */
+  if (csecs < 0 || (csecs == 0 && cmicros < 1000))
     cbps = 0;
   else
     {



Version-Release number of selected component (if applicable):
uucp-1.07-3
Comment 1 Matthew Miller 2006-07-10 16:18:18 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Lukas Vrabel 2007-04-04 06:40:12 EDT
Hi, thanks for patch, i have applied it to devel.

Note You need to log in before you can comment on or make changes to this bug.